summaryrefslogtreecommitdiff
path: root/rconsole/rconsole-output
diff options
context:
space:
mode:
Diffstat (limited to 'rconsole/rconsole-output')
-rwxr-xr-xrconsole/rconsole-output12
1 files changed, 12 insertions, 0 deletions
diff --git a/rconsole/rconsole-output b/rconsole/rconsole-output
new file mode 100755
index 0000000..a6eba89
--- /dev/null
+++ b/rconsole/rconsole-output
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+trap 'screen -S "$RCONSOLE_SCREEN" -X quit; exit' SIGINT
+
+IDENTIFIER="tremded@$RCONSOLE_INSTANCE"
+
+journalctl --user -f -o cat SYSLOG_IDENTIFIER="$IDENTIFIER" \
+|| (
+ echo "journalctl didn't work"
+ read
+ exit
+)